Chrono::SolidWorks&copy; tutorials {#tutorial_table_of_content_chrono_solidworks}
==========================


Tutorials for users that installed the [Chrono::Solidworks](@ref introduction_chrono_solidworks) add-in for SolidWorks


-   @subpage tutorial_chrono_solidworks_demo_engine

    Learn the basics of Chrono::SolidWorks add-in for SolidWorks:

    - model a 3D assembly using SolidWorks,
    - export it as a .py file containing the Chrono::Engine system description.
    - run a Python simulation of the exported system
    - render the simulation using POVray 


-   @subpage tutorial_chrono_solidworks_demo_engine_advanced

    Tips for advanced use of Chrono::SolidWorks add-in, with some Python tricks and tips for:

    - modify the exported scene by creating custom constraints
    - assigning POVray materials
    - creating custom POVray objects
    - attaching a camera to a moving part 


-   @subpage tutorial_chrono_solidworks_demo_shapes
	
    Learn how to define collision shapes when using the Chrono::SolidWorks add-in for SolidWorks&copy;.

    - assign collision shapes to parts in SolidWorks
    - create and assign surface materials to parts using Python
    - customize advanced POVray pigments and textures
    - move the ground to simulate an earthquake 



	

